Page MenuHomePhabricator

1.35.0-wmf.24 deployment blockers
Closed, ResolvedPublicRelease

Details

Release Version
1.35.0-wmf.24
Release Date
1584316800
Backup Conductor
mmodell
Related Gerrit Patches:
operations/mediawiki-config : masterGroup0 to 1.35.0-wmf.24

2020 week 12 1.35-wmf.24 Changes wmf/1.35.0-wmf.24

This MediaWiki Train Deployment is scheduled for the week of Monday, March 16th:

Monday March 16thTuesday, March 17thWednesday, March 18thThursday, March 19thFriday
SWAT deployments only.Branch wmf.24 and deploy to Group 0 Wikis.Deploy wmf.24 to Group 1 Wikis.Deploy wmf.24 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.24 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.35.0-wmf.23
Next: 1.35.0-wmf.25

Event Timeline

mmodell created this task.Sep 25 2019, 10:14 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 25 2019, 10:14 PM
thcipriani triaged this task as Medium priority.
thcipriani updated Backup Conductor, added: mmodell.
thcipriani added a subscriber: thcipriani.

Added wmf.23 as a blocker for wmf.24. If wmf.23 isn't fully deployed by the wmf.24 Tuesday train window then we should go ahead and cut the branch for wmf.24, but NOT deploy it to any wikis. This unblocks folks waiting to merge to master until after wmf.24 is cut, but spares us the confusion of 3 branches in production which I definitely want to avoid.

Mentioned in SAL (#wikimedia-operations) [2020-03-17T13:41:42Z] <hashar> Branching 1.35.0-wmf.24 # T233872

Mentioned in SAL (#wikimedia-operations) [2020-03-17T14:38:10Z] <hashar> mediawiki/core git push 68bc9300dc:wmf/1.35.0-wmf.24 to catch up with a change that got merged while branch is being cut # T233872

Mentioned in SAL (#wikimedia-operations) [2020-03-17T15:01:56Z] <hashar> scap prep 1.35.0-wmf.24 and applying security patches # T233872

Change 580349 had a related patch set uploaded (by Hashar; owner: Hashar):
[operations/mediawiki-config@master] Group0 to 1.35.0-wmf.24

https://gerrit.wikimedia.org/r/580349

The patch for the GlobalBlocking extension has been merged/released ( T229731 ). I have dropped it from our list of patches to maintain.

All other patches have been applied.

I have prepared the wikiversion update change: https://gerrit.wikimedia.org/r/#/c/operations/mediawiki-config/+/580349 Group0 to 1.35.0-wmf.24

The patch for the GlobalBlocking extension has been merged/released ( T229731 ). I have dropped it from our list of patches to maintain.
All other patches have been applied.
I have prepared the wikiversion update change: https://gerrit.wikimedia.org/r/#/c/operations/mediawiki-config/+/580349 Group0 to 1.35.0-wmf.24

The "all wikis to 1.35.0-wmf.23" patch at https://gerrit.wikimedia.org/r/#/c/operations/mediawiki-config/+/580358/ is based on the "Group0 to 1.35.0-wmf.24" patch, and thus despite having CR+2 won't merged until you start this train... should the order be flipped?

@DannyS712 indeed, thanks to have noticed!

Change 580349 abandoned by Hashar:
Group0 to 1.35.0-wmf.24

https://gerrit.wikimedia.org/r/580349

Change 580349 restored by Hashar:
Group0 to 1.35.0-wmf.24

https://gerrit.wikimedia.org/r/580349

Change 580349 merged by jenkins-bot:
[operations/mediawiki-config@master] Group0 to 1.35.0-wmf.24

https://gerrit.wikimedia.org/r/580349

Mentioned in SAL (#wikimedia-operations) [2020-03-18T14:58:46Z] <hashar@deploy1001> Started scap: testwiki to 1.35.0-wmf.24 and rebuild l10n cache - T233872

I wanted to do group0 this afternoon, but forgot about the initial sync of all data which is going on right now.

I am aiming at pushing wmf.24 to group0 during my evening (~ 20-21h UTC).

Mentioned in SAL (#wikimedia-operations) [2020-03-18T16:00:09Z] <hashar@deploy1001> Finished scap: testwiki to 1.35.0-wmf.24 and rebuild l10n cache - T233872 (duration: 61m 23s)

Change 581133 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group0 wikis to 1.35.0-wmf.24 refs T233872

https://gerrit.wikimedia.org/r/581133

This comment was removed by ssastry.

Change 581133 merged by 20after4:
[operations/mediawiki-config@master] group0 wikis to 1.35.0-wmf.24 refs T233872

https://gerrit.wikimedia.org/r/581133

Mentioned in SAL (#wikimedia-operations) [2020-03-19T00:39:46Z] <twentyafterfour@deploy1001> rebuilt and synchronized wikiversions files: group0 wikiws to 1.35.0-wmf.24 refs T233872

I have looked at logs, there is not much issues. The blockers have been quickly resolved over night and this morning. Proceeding with group 1.

Train is on all of group0 and group1. There is barely any logs in logstash and Grafana metrics looks fine overall.

T248125 might be a result of 1.35.0-wmf.24 (or something else)

hashar closed this task as Resolved.Thu, Mar 19, 8:07 PM

There are a few very minor issues, but none of them seems to be sufficient to justify a rollback. I am thus claiming 1.35.0-wmf.24 to be a success.